Description: Fix import from collections
Author: Thomas Goirand <zigo@debian.org>
Forwarded: no
Last-Update: 2021-12-22

Index: python-dcos/cli/dcoscli/config/main.py
===================================================================
--- python-dcos.orig/cli/dcoscli/config/main.py
+++ python-dcos/cli/dcoscli/config/main.py
@@ -247,9 +247,9 @@ def _unset(name, index):
     value = toml_config.pop(name, None)
     if value is None:
         raise DCOSException("Property {!r} doesn't exist".format(name))
-    elif isinstance(value, collections.Mapping):
+    elif isinstance(value, collections.abc.Mapping):
         raise DCOSException(_generate_choice_msg(name, value))
-    elif ((isinstance(value, collections.Sequence) and
+    elif ((isinstance(value, collections.abc.Sequence) and
            not isinstance(value, six.string_types)) and
           index is not None):
         index = util.parse_int(index)
@@ -293,7 +293,7 @@ def _show(name):
         value = toml_config.get(name)
         if value is None:
             raise DCOSException("Property {!r} doesn't exist".format(name))
-        elif isinstance(value, collections.Mapping):
+        elif isinstance(value, collections.abc.Mapping):
             raise DCOSException(_generate_choice_msg(name, value))
         else:
             emitter.publish(value)
Index: python-dcos/cli/tests/integrations/common.py
===================================================================
--- python-dcos.orig/cli/tests/integrations/common.py
+++ python-dcos/cli/tests/integrations/common.py
@@ -303,7 +303,7 @@ def get_services(expected_count=None, ar
     assert stderr == b''
 
     services = json.loads(stdout.decode('utf-8'))
-    assert isinstance(services, collections.Sequence)
+    assert isinstance(services, collections.abc.Sequence)
     if expected_count is not None:
         assert len(services) == expected_count
 
Index: python-dcos/cli/tests/integrations/test_task.py
===================================================================
--- python-dcos.orig/cli/tests/integrations/test_task.py
+++ python-dcos/cli/tests/integrations/test_task.py
@@ -87,7 +87,7 @@ def test_task():
     assert stderr == b''
 
     tasks = json.loads(stdout.decode('utf-8'))
-    assert isinstance(tasks, collections.Sequence)
+    assert isinstance(tasks, collections.abc.Sequence)
     assert len(tasks) == NUM_TASKS
 
     schema = create_schema(task_fixture().dict())
Index: python-dcos/dcos/config.py
===================================================================
--- python-dcos.orig/dcos/config.py
+++ python-dcos/dcos/config.py
@@ -70,14 +70,14 @@ def _iterator(parent, dictionary):
         if parent is not None:
             new_key = "{}.{}".format(parent, key)
 
-        if not isinstance(value, collections.Mapping):
+        if not isinstance(value, collections.abc.Mapping):
             yield (new_key, value)
         else:
             for x in _iterator(new_key, value):
                 yield x
 
 
-class Toml(collections.Mapping):
+class Toml(collections.abc.Mapping):
     """Class for getting value from TOML.
 
     :param dictionary: configuration dictionary
@@ -96,7 +96,7 @@ class Toml(collections.Mapping):
         """
 
         config = _get_path(self._dictionary, path)
-        if isinstance(config, collections.Mapping):
+        if isinstance(config, collections.abc.Mapping):
             return Toml(config)
         else:
             return config
@@ -127,7 +127,7 @@ class Toml(collections.Mapping):
         return len(self._dictionary)
 
 
-class MutableToml(collections.MutableMapping):
+class MutableToml(collections.abc.MutableMapping):
     """Class for managing CLI configuration through TOML.
 
     :param dictionary: configuration dictionary
@@ -146,7 +146,7 @@ class MutableToml(collections.MutableMap
         """
 
         config = _get_path(self._dictionary, path)
-        if isinstance(config, collections.MutableMapping):
+        if isinstance(config, collections.abc.MutableMapping):
             return MutableToml(config)
         else:
             return config
Index: python-dcos/dcos/emitting.py
===================================================================
--- python-dcos.orig/dcos/emitting.py
+++ python-dcos/dcos/emitting.py
@@ -77,8 +77,8 @@ def print_handler(event):
         print(event.error(), file=sys.stderr)
         sys.stderr.flush()
 
-    elif (isinstance(event, collections.Mapping) or
-          isinstance(event, collections.Sequence) or isinstance(event, bool) or
+    elif (isinstance(event, collections.abc.Mapping) or
+          isinstance(event, collections.abc.Sequence) or isinstance(event, bool) or
           isinstance(event, six.integer_types) or isinstance(event, float)):
         # These are all valid JSON types let's treat them different
         processed_json = _process_json(event, pager_command)
Index: python-dcos/dcos/package.py
===================================================================
--- python-dcos.orig/dcos/package.py
+++ python-dcos/dcos/package.py
@@ -587,8 +587,8 @@ def _merge_options(first, second):
         if key in first:
             first_value = first[key]
 
-            if (isinstance(first_value, collections.Mapping) and
-               isinstance(second_value, collections.Mapping)):
+            if (isinstance(first_value, collections.abc.Mapping) and
+               isinstance(second_value, collections.abc.Mapping)):
                 result[key] = _merge_options(first_value, second_value)
             else:
                 result[key] = second_value
Index: python-dcos/dcos/util.py
===================================================================
--- python-dcos.orig/dcos/util.py
+++ python-dcos/dcos/util.py
@@ -402,7 +402,7 @@ def create_schema(obj):
     elif isinstance(obj, six.string_types):
         return {'type': 'string'}
 
-    elif isinstance(obj, collections.Mapping):
+    elif isinstance(obj, collections.abc.Mapping):
         schema = {'type': 'object',
                   'properties': {},
                   'additionalProperties': False,
@@ -413,7 +413,7 @@ def create_schema(obj):
 
         return schema
 
-    elif isinstance(obj, collections.Sequence):
+    elif isinstance(obj, collections.abc.Sequence):
         schema = {'type': 'array'}
         if obj:
             schema['items'] = create_schema(obj[0])
Index: python-dcos/dcos/jsonitem.py
===================================================================
--- python-dcos.orig/dcos/jsonitem.py
+++ python-dcos/dcos/jsonitem.py
@@ -168,7 +168,7 @@ def _parse_object(value):
 
     try:
         json_object = json.loads(value)
-        if json_object is None or isinstance(json_object, collections.Mapping):
+        if json_object is None or isinstance(json_object, collections.abc.Mapping):
             return json_object
         else:
             raise DCOSException(
@@ -246,7 +246,7 @@ def _parse_array(value):
 
     try:
         array = json.loads(value)
-        if array is None or isinstance(array, collections.Sequence):
+        if array is None or isinstance(array, collections.abc.Sequence):
             return array
         else:
             raise DCOSException(
